JavaScriptCore:
authormjs@apple.com <mjs@apple.com@268f45cc-cd09-0410-ab3c-d52691b4dbfc>
Tue, 14 Oct 2008 01:21:43 +0000 (01:21 +0000)
committermjs@apple.com <mjs@apple.com@268f45cc-cd09-0410-ab3c-d52691b4dbfc>
Tue, 14 Oct 2008 01:21:43 +0000 (01:21 +0000)
commit268962eb149159437728e2be6d2306ccf8cdbe7e
tree24cc733c6811d30a0cc6c995acec689905f8d03d
parentc3ed34a962637c59695497c033c224a7eb6f0ccb
JavaScriptCore:

2008-10-13  Maciej Stachowiak  <mjs@apple.com>

        Rubber stamped by Mark Rowe.

        - fixed <rdar://problem/5806316> JavaScriptCore should not force building with gcc 4.0
        - use gcc 4.2 when building with Xcode 3.1 or newer on Leopard, even though this is not the default

        * Configurations/DebugRelease.xcconfig:
        * JavaScriptCore.xcodeproj/project.pbxproj:

JavaScriptGlue:

2008-10-13  Maciej Stachowiak  <mjs@apple.com>

        Rubber stamped by Mark Rowe.

        - use gcc 4.2 when building with Xcode 3.1 or newer on Leopard, even though this is not the default

        * Configurations/DebugRelease.xcconfig:

WebCore:

2008-10-13  Maciej Stachowiak  <mjs@apple.com>

        Rubber stamped by Mark Rowe.

        - use gcc 4.2 when building with Xcode 3.1 or newer on Leopard, even though this is not the default

        * Configurations/DebugRelease.xcconfig:

WebKit/mac:

2008-10-13  Maciej Stachowiak  <mjs@apple.com>

        Rubber stamped by Mark Rowe.

        - use gcc 4.2 when building with Xcode 3.1 or newer on Leopard, even though this is not the default

        * Configurations/DebugRelease.xcconfig:

git-svn-id: http://svn.webkit.org/repository/webkit/trunk@37572 268f45cc-cd09-0410-ab3c-d52691b4dbfc
JavaScriptCore/ChangeLog
JavaScriptCore/Configurations/DebugRelease.xcconfig
JavaScriptCore/JavaScriptCore.xcodeproj/project.pbxproj
JavaScriptGlue/ChangeLog
JavaScriptGlue/Configurations/DebugRelease.xcconfig
WebCore/ChangeLog
WebCore/Configurations/DebugRelease.xcconfig
WebKit/mac/ChangeLog
WebKit/mac/Configurations/DebugRelease.xcconfig